version: '2'
services:
  app:
    image: portainer/portainer-ce:latest
    container_name: portainer
    restart: always
    ports:
      - 9000:9000
    volumes:
      - ./data:/data
      - /var/run/docker.sock:/var/run/docker.sock:ro
    environment:
      - VIRTUAL_HOST=docker.micard-family.fr
      - VIRTUAL_PORT=9000
      - LETSENCRYPT_HOST=docker.micard-family.fr
      - LETSENCRYPT_EMAIL=emilien.micard@gmail.com

# networks:
#     default:
#         external:
#             name: proxy_nginxproxy
